Class | Test::Unit::Collector::Dir
In: | lib/rake/ruby182_test_unit_fix.rb
Parent: | Object

### Methods

collect_file

### Public Instance methods

collect_file(name, suites, already_gathered)

[Source]

        # File lib/rake/ruby182_test_unit_fix.rb, line 6
     6:         def collect_file(name, suites, already_gathered)
     7:           # loadpath = $:.dup
     8:           dir = File.dirname(File.expand_path(name))
     9:           $:.unshift(dir) unless $:.first == dir
    10:           if(@req)
    11:             @req.require(name)
    12:           else
    13:             require(name)
    14:           end
    15:           find_test_cases(already_gathered).each{|t| add_suite(suites, t.suite)}
    16:         ensure
    17:           # $:.replace(loadpath)
    18:           $:.delete_at $:.rindex(dir)
    19:         end

[Validate]